type_alias:
  uplayplus_type:
    type: map
    map_schema:
      active_sub_url:
        required: yes
      inactive_sub_url:
        required: yes
      countries:
        required: yes
      start_date:
      end_date:
      bubble_id:
      bubble_caption:

  uplayplus_list_type:
    type: list
    list_type: uplayplus_type

  root_type:
    type: map
    map_schema:
      uplayplus_tab:
        type: uplayplus_list_type
      browser_allowed_domains:
        type: list
  localization_type:
    type: map
schema:
  type: map
  map_schema:
    version:
    root:
      type: root_type
      required: yes
     # Localizations are optional and can be skipped
    localizations:
      type: map
      required: no
      map_type: localization_type
